<div class="page-header">
    <div class="styled_title">
		<h1>{$_LANG.intro} <small>{$_LANG.description}</small></h1>
	</div>
</div>

{if !$underlimit}
<!-- Supera el limite del modelo 347 -->
<div id="mod347_underlimit" class="alert alert alert-success text-center" role="alert">
	Total del ejercicio {$selected_year}: <strong>{$year_total}</strong><br />
	Importe de facturación por encima del límite de {$params.limit} €
</div>
{else}
<!-- No supera el limite del modelo 347 -->
<div id="mod347_underlimit" class="alert alert-warning text-center" role="alert">
	Total del ejercicio {$selected_year}: <strong>{$year_total}</strong><br />
	El importe de facturación no llega al límite de {$params.limit} €
</div>
{/if}

<div class="resultsbox">
	<form method="get">
		<p>{$_LANG.exercise}:
			<select name="year">
			{foreach from=$avaliable_years item=year}
				<option value="{$year}" {if $year eq $selected_year}selected{/if}>{$year}</option>
			{/foreach}
			</select>
			<input type="submit" name="Actualizar" />
			<input type="hidden" name="m" value="mod347"/>
		</p>
	</form>
</div>

<!-- Facturas Trimestre -->
<br />
<table class="table table-striped table-framed">

    <thead>
        <tr>
            <th>Trimestre {$current_quarter}</th>
            <th>Fecha</th>
            <th>Factura</th>
            <th>Estado</th>
            <th>Subtotal</th>
            <th>IVA</th>
            <th>IRPF</th>
            <th>Total</th>
        </tr>
    </thead>

    <tbody>
		
		<!-- Primer trimestre -->
		<tr>
			<td align="left"><strong>{$_LANG.quarter} 1 ({$invoices.t1|count|default:0} facturas)</strong></td>
			<td colspan="7">&nbsp;</td>
		</tr>
		{foreach from=$invoices.t1 item=row}
		<!-- Listado primer trimestre -->
		<tr>
			<td>&nbsp;</td>
			<td align="left">{$row.date|date_format:"%d/%m/%Y"}</td>
			<td align="left"><a href="invoices.php?action=edit&id={$row.id}">{$row.invoicenum|default:$row.id}</a></td>
			<td align="left">{$row.status}</td>
			<td align="right">{$row.subtotal|number_format:2} €</td>
			<td align="right">{$row.tax|number_format:2} €</td>
			<td align="right">{$row.tax2|number_format:2} €</td>
			<td align="right">{$row.total|number_format:2} €</td>
			{assign var=sumsubtotal_t1	value=$sumsubtotal_t1+$row.subtotal}
			{assign var=sumtax_t1		value=$sumtax_t1+$row.tax}
			{assign var=sumirpf_t1		value=$sumirpf_t1+$row.tax2}
			{assign var=sumtotal_t1		value=$sumtotal_t1+$row.total}
			{assign var=numfacturas_t1	value=$numfacturas_t1+1}
		</tr>
		{/foreach}
		<!-- Totales primer trimestre -->
		<tr>
			<td colspan="4" align="right"><strong>Total T1:</strong></td>
			<td align="right"><strong>{$sumsubtotal_t1|number_format:2} €</strong></td>
			<td align="right"><strong>{$sumtax_t1|number_format:2} €</strong></td>
			<td align="right"><strong>{$sumirpf_t1|number_format:2} €</strong></td>
			<td align="right"><strong>{$sumtotal_t1|number_format:2} €</strong></td>
		</tr>
		
		<!-- Segundo trimestre -->
		<tr>
			<td align="left"><strong>{$_LANG.quarter} 2 ({$invoices.t2|count|default:0} facturas)</strong></td>
			<td colspan="7">&nbsp;</td>
		</tr>
		{foreach from=$invoices.t2 item=row}
		<!-- Listado segundo trimestre -->
		<tr>
			<td>&nbsp;</td>
			<td align="left">{$row.date|date_format:"%d/%m/%Y"}</td>
			<td align="left"><a href="invoices.php?action=edit&id={$row.id}">{$row.invoicenum|default:$row.id}</a></td>
			<td align="left">{$row.status}</td>
			<td align="right">{$row.subtotal|number_format:2} €</td>
			<td align="right">{$row.tax|number_format:2} €</td>
			<td align="right">{$row.tax2|number_format:2} €</td>
			<td align="right">{$row.total|number_format:2} €</td>
			{assign var=sumsubtotal_t2	value=$sumsubtotal_t2+$row.subtotal}
			{assign var=sumtax_t2		value=$sumtax_t2+$row.tax}
			{assign var=sumirpf_t2		value=$sumirpf_t2+$row.tax2}
			{assign var=sumtotal_t2		value=$sumtotal_t2+$row.total}
			{assign var=numfacturas_t2	value=$numfacturas_t2+1}
		</tr>
		{/foreach}
		<!-- Totales segundo trimestre -->
		<tr>
			<td colspan="4" align="right"><strong>Total T2:</strong></td>
			<td align="right"><strong>{$sumsubtotal_t2|number_format:2} €</strong></td>
			<td align="right"><strong>{$sumtax_t2|number_format:2} €</strong></td>
			<td align="right"><strong>{$sumirpf_t2|number_format:2} €</strong></td>
			<td align="right"><strong>{$sumtotal_t2|number_format:2} €</strong></td>
		</tr>

		<!-- Tercer trimestre -->
		<tr>
			<td align="left"><strong>{$_LANG.quarter} 3 ({$invoices.t3|count|default:0} facturas)</strong></td>
			<td colspan="7">&nbsp;</td>
		</tr>
		{foreach from=$invoices.t3 item=row}
		<!-- Listado tercer trimestre -->
		<tr>
			<td>&nbsp;</td>
			<td align="left">{$row.date|date_format:"%d/%m/%Y"}</td>
			<td align="left"><a href="invoices.php?action=edit&id={$row.id}">{$row.invoicenum|default:$row.id}</a></td>
			<td align="left">{$row.status}</td>
			<td align="right">{$row.subtotal|number_format:2} €</td>
			<td align="right">{$row.tax|number_format:2} €</td>
			<td align="right">{$row.tax2|number_format:2} €</td>
			<td align="right">{$row.total|number_format:2} €</td>
			{assign var=sumsubtotal_t3	value=$sumsubtotal_t3+$row.subtotal}
			{assign var=sumtax_t3		value=$sumtax_t3+$row.tax}
			{assign var=sumirpf_t3		value=$sumirpf_t3+$row.tax2}
			{assign var=sumtotal_t3		value=$sumtotal_t3+$row.total}
			{assign var=numfacturas_t3	value=$numfacturas_t3+1}
		</tr>
		{/foreach}
		<!-- Totales tercer trimestre -->
		<tr>
			<td colspan="4" align="right"><strong>Total T3:</strong></td>
			<td align="right"><strong>{$sumsubtotal_t3|number_format:2} €</strong></td>
			<td align="right"><strong>{$sumtax_t3|number_format:2} €</strong></td>
			<td align="right"><strong>{$sumirpf_t3|number_format:2} €</strong></td>
			<td align="right"><strong>{$sumtotal_t3|number_format:2} €</strong></td>
		</tr>

		<!-- Cuarto trimestre -->
		<tr>
			<td align="left"><strong>{$_LANG.quarter} 4 ({$invoices.t4|count|default:0} facturas)</strong></td>
			<td colspan="7">&nbsp;</td>
		</tr>
		{foreach from=$invoices.t4 item=row}
		<!-- Listado cuatro trimestre -->
		<tr>
			<td>&nbsp;</td>
			<td align="left">{$row.date|date_format:"%d/%m/%Y"}</td>
			<td align="left"><a href="invoices.php?action=edit&id={$row.id}">{$row.invoicenum|default:$row.id}</a></td>
			<td align="left">{$row.status}</td>
			<td align="right">{$row.subtotal|number_format:2} €</td>
			<td align="right">{$row.tax|number_format:2} €</td>
			<td align="right">{$row.tax2|number_format:2} €</td>
			<td align="right">{$row.total|number_format:2} €</td>
			{assign var=sumsubtotal_t4	value=$sumsubtotal_t4+$row.subtotal}
			{assign var=sumtax_t4		value=$sumtax_t4+$row.tax}
			{assign var=sumirpf_t4		value=$sumirpf_t4+$row.tax2}
			{assign var=sumtotal_t4		value=$sumtotal_t4+$row.total}
			{assign var=numfacturas_t4	value=$numfacturas_t4+1}
		</tr>
		{/foreach}
		<!-- Totales cuatro trimestre -->
		<tr>
			<td colspan="4" align="right"><strong>Total T4:</strong></td>
			<td align="right"><strong>{$sumsubtotal_t4|number_format:2} €</strong></td>
			<td align="right"><strong>{$sumtax_t4|number_format:2} €</strong></td>
			<td align="right"><strong>{$sumirpf_t4|number_format:2} €</strong></td>
			<td align="right"><strong>{$sumtotal_t4|number_format:2} €</strong></td>
		</tr>

</table>

{if $invoices|@count}
<br />
<table class="table table-striped table-framed">
	<tr>
		<th>Importe total del ejercicio {$selected_year}</td>
		<th>Facturas</th>
		<th>Subtotal</th>
		<th>IVA</th>
		<th>IRPF</th>
		<th>Total</th>
	</tr>
	<tr>
		<th>&nbsp;</th>
		<th>{$totals.numinvoices}</th>
		<th>{$totals.subtotal}</th>
		<th>{$totals.tax}</th>
		<th>{$totals.tax2}</th>
		<th>{$totals.total}</th>
	</tr>
{/if}
    </tbody>
</table>