<ul class="nav nav-tabs admin-tabs" role="tablist">
	<li><a href="{$CONFIG.modulelink}" id="tabLink1">Listado</a></li>
	<li class="active"><a href="{$CONFIG.modulelink}&op=settings" id="tabLink2">Ajustes</a></li>
</ul>

<br />

<form name="settings-form" id="settings-form" action="" method="post">
<p><b>Ajustes del módulo</b></p>

{if $successbox}
<div class="alert alert-success alert-dismissible" role="alert">
	<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
	<strong>{$successbox.title}</strong>
	<br />
	{$successbox.text}
</div>
{/if}

<table class="form" width="100%" border="0" cellspacing="2" cellpadding="3" align="center">
	<tr>
		<td width="20%" class="fieldlabel">
			<span title="Incluye sólo las facturas en los estados seleccionados">Estado de facturas</span>
		</td>
		<td class="fieldarea">

			<label class="checkbox-inline" for="settings[status_paid]">
				<input type="checkbox" name="settings[status_paid]" id="settings[status_paid]" {if $settings.status_paid}checked{/if}>
				Pagadas(Paid)
			</label>

			<br />

			<label class="checkbox-inline" for="settings[status_unpaid]">
				<input type="checkbox" name="settings[status_unpaid]" id="settings[status_unpaid]" {if $settings.status_unpaid}checked{/if}>
				No pagadas (Unpaid)
			</label>

			<br />
			
			<label class="checkbox-inline" for="settings[status_cancelled]">
				<input type="checkbox" name="settings[status_cancelled]" id="settings[status_cancelled]" {if $settings.status_cancelled}checked{/if}>
				Canceladas (Canceled)
			</label>

			<br />
			
			<label class="checkbox-inline" for="settings[status_refunded]">
				<input type="checkbox" name="settings[status_refunded]" id="settings[status_refunded]" {if $settings.status_refunded}checked{/if}>
				Rectificativas (Refunded)
			</label>

			<br />

			<label class="checkbox-inline" for="settings[status_pending]">
				<input type="checkbox" name="settings[status_pending]" id="settings[status_pending]" {if $settings.status_pending}checked{/if}>
				Pendientes (Payment Pending)
			</label>

		</td>
	</tr>
	<tr>
		<td width="20%" class="fieldlabel">Límite facturación</td>
		<td class="fieldarea">
				<input type="text" class="form-control input-100 input-inline" name="settings[limit]" id="settings[limit]" value="{$settings.limit}">
				&nbsp; Importe a partir del cual se incluye en el Modelo 347
		</td>
	</tr>
	<tr>
		<td width="20%" class="fieldlabel">
			<span title="">Mostrar en área clientes</span>
		</td>
		<td class="fieldarea">
			<label class="checkbox-inline" for="settings[client_area]">
				<input type="checkbox" name="settings[client_area]" id="settings[client_area]" {if $settings.client_area}checked{/if}>
				Mostrar un enlace a los usuarios registrados (index.php?m=mod347)
			</label>
		</td>
	</tr>
		<td width="20%" class="fieldlabel">
			<span title="">Campo CIF/NIF</span>
		</td>
		<td class="fieldarea">
			<select name="settings[vatcode_field]" id="settings[vatcode_field]" class="form-control select-inline">

				<!--
				<option value="">No usar cif/nif</option>
				-->

				<optgroup label="Campo integrado WHMCS">
				{assign var="versionArray" value="."|explode:$CONFIG.whmcsversion}
				<!-- WHMCS 7.7 en adelante -->
				{if ($versionArray[0] == 7 && $versionArray[1] >= 7) || $versionArray[0] == 8}
					<option value="0" {if $settings.vatcode_field == "0"}selected{/if}>Usar campo tax_id</option>
				{else}
					<option value="" disabled>Disponible a partir de WHMCS 7.7</option>
				{/if}
				</optgroup>
				
				<optgroup label="Campo personalizado">
				{if $customfields|count}
					{foreach from=$customfields key=k item=v}
					<option value="{$k}"{if $k eq $settings.vatcode_field} selected{/if}>Custom field: {$v}</option>
					{/foreach}
				{else}
					<option value="" disabled>No se han encontrado campos personalizados</option>
				{/if}
				</optgroup>

			</select>
		</td>
	</tr>
	<!--
	<tr>
		<td width="20%" class="fieldlabel">Enviar emails</td>
		<td class="fieldarea">
			<label class="checkbox-inline" for="settings[send_emails]">
				<input type="checkbox" name="settings[send_emails]" id="settings[send_emails]" {if $settings.send_emails}checked{/if}>
				Permite enviar un aviso por email al cliente
			</label>
		</td>
	</tr>
	-->
	<tr>
		<td width="20%" class="fieldlabel">Habilitar registro</td>
		<td class="fieldarea">
			<label class="checkbox-inline" for="settings[debug]">
				<input type="checkbox" name="settings[debug]" id="settings[debug]" {if $settings.debug}checked{/if}>
				Muestra información de depuracion en pantalla
			</label>
		</td>
	</tr>
	<tr>
		<td width="20%" class="fieldlabel">Depuración SQL</td>
		<td class="fieldarea">
			<label class="checkbox-inline" for="settings[debugsql]">
				<input type="checkbox" name="settings[debugsql]" id="settings[debugsql]" {if $settings.debugsql}checked{/if}>
				Guardar consultas SQL
			</label>
		</td>
	</tr>
</table>

<p align="center">
	<input type="hidden" name="op" value="settings">
	<input type="hidden" name="task" value="update">
	<input type="submit" value="Guardar">
</p>

</form>
<p style="margin-top:50px; text-align:center; font-size:9px; color:#A0A0A0;">{$CONFIG.apptitle} v{$CONFIG.appversion}<br />{$CONFIG.appauthor}</p>