{if $successbox}<div class="successbox"><strong><span class="title">{$successbox.title}</span></strong><br />{$successbox.text}</div>{/if}

{literal}<script>
$(document).ready(function(){

	$(".invtooltip").tooltip({cssClass:"invoicetooltip"});

	// checkbox para seleccionar todos
	$('#checkall0').click(function (event) {
		// Starting from the checkbox that got the event,
		// Climb up the tree until you reach .datatable
		// Then find all the input elements within just this table
		// Then make their checked status match the master checkbox.
		$(event.target).parents('.datatable').find('input').prop('checked',this.checked);
	});

	$("#sendemail").on('click', function( event ) {
		var selectedItems = $("input[name='selectedclients[]']");
		var name = $(this).attr('name');
		var langConfirm = '¿Está seguro que desea enviar un email a los clientes seleccionados?';

		if (selectedItems.filter(':checked').length == 0) {
			event.preventDefault();
			alert('Por favor, selecciona al menos un cliente');
		} else {
			if (!confirm(langConfirm)) {
				event.preventDefault();
			}
		}
	});

});
</script>{/literal}

<ul class="nav nav-tabs admin-tabs" role="tablist">
	<li class="active"><a href="{$CONFIG.modulelink}" id="tabLink1">Listado</a></li>
	<li><a href="{$CONFIG.modulelink}&op=settings" id="tabLink2">Ajustes</a></li>
</ul>

<!-- Listar facturas -->
<p>
	<form method="get">
		Año: <select name="year">
		{foreach from=$years_list key=k item=v}<option value="{$v}"{if $v eq $selected_year} selected{/if}>{$v}</option>{/foreach}
		</select>
		<input type="hidden" name="module" value="mod347">
		<input type="submit" value="Enviar">
	</form>
</p>

{if !count($table)}<p>No se han encontrado datos para el ejercicio seleccionado</p>
{else}
<div class="tablebg">
	{if $table}
	<form method="POST">
	<table class="datatable" width="100%" align="center" border="0" cellspacing="1" cellpadding="3">
		<tr>
			{if $settings.send_emails}<th width="20"><input type="checkbox" id="checkall0"></th>{/if}
			<th>Cliente</th>
			<th>CIF/NIF</th>
			<th>Correo electrónico</th>
			<th>Teléfono</th>
			<th>T1</th>
			<th>T2</th>
			<th>T3</th>
			<th>T4</th>
			<th>Total</th>
			<th>&nbsp;</th>
		</tr>
		{foreach from=$table item=client}
		<tr>
			{if $settings.send_emails}
			<td style="text-align:center;">
				<input class="checkall" type="checkbox" value="{$client.userid}" name="selectedclients[]">
			</td>
			{/if}
			<td align="left">
				<a href="clientssummary.php?userid={$client.userid}" target="_blank">
					{$client.companyname|default:"`$client.firstname` `$client.lastname`"}
				</a>
			</td>
			<td align="center">{$client.vatcode|default:$client.tax_id}</td>
			<td align="center"><a href="mailto:{$client.email}">{$client.email}</a></td>
			<td align="center">{$client.phonenumber}</td>
			<td align="right">{$client.t1|default:0|string_format:"%.2f €"}</td>
			<td align="right">{$client.t2|default:0|string_format:"%.2f €"}</td>
			<td align="right">{$client.t3|default:0|string_format:"%.2f €"}</td>
			<td align="right">{$client.t4|default:0|string_format:"%.2f €"}</td>
			<td align="right">
				{assign var="client_total" value=$client.t1+$client.t2+$client.t3+$client.t4}
				{$client_total|string_format:"%.2f €"}</td>
			<td align="center">
				<a href="{$CONFIG.modulelink}&op=client&userid={$client.userid}&year={$selected_year}" title="{$LANG.viewinvoices}">
					<img src="{$CONFIG.assets}/article.gif">
				</a>
			</td>
		</tr>
		{/foreach}
	</table>
	<div style="text-align:center;">
			{if $settings.send_emails}
			<input type="hidden" name="module" value="mod347" />
			<input type="hidden" name="op" value="email" />
			<input type="hidden" name="year" value="{$selected_year}" />
			<input type="submit" value="Enviar emails a clientes" class="btn btn-primary" id="sendemail" name="sendemail" />
			{/if}
	</div>
	</form>
	{else}
	<div>{$LANG.noinvoicesfound}</div>
	{/if}
</div>
{/if}
<p style="margin-top:50px; text-align:center; font-size:9px; color:#A0A0A0;">{$CONFIG.apptitle} v{$CONFIG.appversion}<br />{$CONFIG.appauthor}</p>